
Ceph - Bug #38897

src/osd/OSDMap.cc: 4405: FAILED assert(osd_weight.count(i.first))

03/23/2019 01:30 AM - xie xingguo

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: xie xingguo   

Category: OSDMap   

Target version:    

Source: Community (dev) Affected Versions: v12.2.9

Tags:  ceph-qa-suite:  

Backport: nautilus, mimic, luminous Pull request ID: 27142

Regression: Yes Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

@    0> 2019-03-22 14:49:46.555120 7f2314e28700 -1 /clove/vm/zstor/ceph/rpmbuild/BUILD/ceph-12.2.9/src/osd/OSDMap.cc: In

function 'int OSDMap::calc_pg_upmaps(CephConte

xt*, float, int, const std::set<long int>&, OSDMap::Incremental*)' thread 7f2314e28700 time 2019-03-22 14:49:46.553252

/clove/vm/zstor/ceph/rpmbuild/BUILD/ceph-12.2.9/src/osd/OSDMap.cc: 4405: FAILED assert(osd_weight.count(i.first))

ceph version 12.2.9-1-258-gb7ce800 (b7ce80044667c89bb001367cb4eb1144c6d111a8) luminous (stable)

 1: (ceph::__ceph_assert_fail(char const*, char const*, int, char const*)+0x110) [0x55e4d083f380]

 2: (OSDMap::calc_pg_upmaps(CephContext*, float, int, std::set&lt;long, std::less&lt;long&gt;, std

::allocator&lt;long&gt; > const&, OSDMap::Incremental*)+0x37de) [0x55e4d093fabe]

 3: (()+0x2fd265) [0x55e4d06d4265]

 4: (PyEval_EvalFrameEx()+0x6df0) [0x7f233a8e3bb0]

 5: (PyEval_EvalCodeEx()+0x7ed) [0x7f233a8e5efd]

 6: (PyEval_EvalFrameEx()+0x663c) [0x7f233a8e33fc]

 7: (PyEval_EvalFrameEx()+0x67bd) [0x7f233a8e357d]

 8: (PyEval_EvalCodeEx()+0x7ed) [0x7f233a8e5efd]

 9: (PyEval_EvalFrameEx()+0x663c) [0x7f233a8e33fc]

 10: (PyEval_EvalCodeEx()+0x7ed) [0x7f233a8e5efd]

 11: (()+0x70858) [0x7f233a86f858]

 12: (PyObject_Call()+0x43) [0x7f233a84a9a3]

 13: (()+0x5a995) [0x7f233a859995]

 14: (PyObject_Call()+0x43) [0x7f233a84a9a3]

 15: (()+0x4ba85) [0x7f233a84aa85]

 16: (PyObject_CallMethod()+0xbb) [0x7f233a84adbb]

 17: (PyModuleRunner::serve()+0x5c) [0x55e4d06d129c]

 18: (PyModuleRunner::PyModuleRunnerThread::entry()+0x6e) [0x55e4d06d1b2e]

 19: (()+0x7e25) [0x7f2338af7e25]

 20: (clone()+0x6d) [0x7f2337decbcd]

 NOTE: a copy of the executable, or `objdump -rdS &lt;executable&gt;` is needed to interpret this.

@

Related issues:

Copied to Ceph - Backport #38965: luminous: src/osd/OSDMap.cc: 4405: FAILED a... Resolved

Copied to Ceph - Backport #38966: mimic: src/osd/OSDMap.cc: 4405: FAILED asse... Resolved

Copied to Ceph - Backport #38967: nautilus: src/osd/OSDMap.cc: 4405: FAILED a... Resolved

History

#1 - 03/23/2019 02:03 AM - xie xingguo

- Pull request ID set to 27142

#2 - 03/23/2019 02:03 AM - xie xingguo
- Status changed from New to Fix Under Review

#3 - 03/26/2019 04:36 PM - Sage Weil

- Status changed from Fix Under Review to Pending Backport

- Backport set to nautilus, mimic, luminous

#4 - 03/27/2019 04:22 PM - Nathan Cutler

- Copied to Backport #38965: luminous: src/osd/OSDMap.cc: 4405: FAILED assert(osd_weight.count(i.first)) added

#5 - 03/27/2019 04:22 PM - Nathan Cutler

- Copied to Backport #38966: mimic: src/osd/OSDMap.cc: 4405: FAILED assert(osd_weight.count(i.first)) added

#6 - 03/27/2019 04:22 PM - Nathan Cutler

- Copied to Backport #38967: nautilus: src/osd/OSDMap.cc: 4405: FAILED assert(osd_weight.count(i.first)) added

#7 - 05/10/2019 12:33 PM - Nathan Cutler

- Status changed from Pending Backport to Resolved
